Kirjoittaja Aihe: packages have been kept back  (Luettu 1513 kertaa)

Pendeli

  • Käyttäjä
  • Viestejä: 840
    • Profiili
packages have been kept back
« : 05.09.22 - klo:13.03 »
Äskettäin päivitin versioon Ubuntu 22.04 LTS.
Päivityskomennolla tulee esiin mm. compiz-juttuja ja jotain muuta mistä
en ymmärrä onko ne tarpeellisia päivittää vai ei.

Joillain sivuilla on alkanut esiintyä viivettä aukeamisen ja sulkemisen yhteydessä
mutta muuten kaikki toimii hyvin. Onko noilla edelläesitetyillä jotain tekemistä asian kanssa ja mitä kannattaisi tehdä.


Koodia: [Valitse]
The following packages have been kept back:
  compiz compiz-core compiz-gnome compiz-plugins-default gjs
  gnome-remote-desktop libcompizconfig0 libdecoration0 libgjs0g
0 upgraded, 0 newly installed, 0 to remove and 9 not upgraded.
ben@optip:~$ apt list --upgradable
Listing... Done
compiz-core/jammy-updates 1:0.9.14.1+22.04.20220820-0ubuntu1 amd64 [upgradable from: 1:0.9.14.1+22.04.20211217-0ubuntu2]
compiz-gnome/jammy-updates 1:0.9.14.1+22.04.20220820-0ubuntu1 amd64 [upgradable from: 1:0.9.14.1+22.04.20211217-0ubuntu2]
compiz-plugins-default/jammy-updates 1:0.9.14.1+22.04.20220820-0ubuntu1 amd64 [upgradable from: 1:0.9.14.1+22.04.20211217-0ubuntu2]
compiz/jammy-updates,jammy-updates 1:0.9.14.1+22.04.20220820-0ubuntu1 all [upgradable from: 1:0.9.14.1+22.04.20211217-0ubuntu2]
gjs/jammy-updates 1.72.2-0ubuntu1 amd64 [upgradable from: 1.72.0-3~ubuntu22.04.2]
gnome-remote-desktop/jammy-updates 42.4-0ubuntu1 amd64 [upgradable from: 42.3-0ubuntu1]
libcompizconfig0/jammy-updates 1:0.9.14.1+22.04.20220820-0ubuntu1 amd64 [upgradable from: 1:0.9.14.1+22.04.20211217-0ubuntu2]
libdecoration0/jammy-updates 1:0.9.14.1+22.04.20220820-0ubuntu1 amd64 [upgradable from: 1:0.9.14.1+22.04.20211217-0ubuntu2]
libgjs0g/jammy-updates 1.72.2-0ubuntu1 amd64 [upgradable from: 1.72.0-3~ubuntu22.04.2]

juyli

  • Käyttäjä / moderaattori
  • Viestejä: 1200
    • Profiili
Vs: packages have been kept back
« Vastaus #1 : 05.09.22 - klo:23.04 »
Äskettäin päivitin versioon Ubuntu 22.04 LTS.
Mistä versiosta päivitit? (20.04 vai 21.10?)
Päivityskomennolla tulee esiin mm. compiz-juttuja ja jotain muuta mistä
en ymmärrä onko ne tarpeellisia päivittää vai ei.
Järjestelmä kannattaa - ja pitää päivittää, kun päivityksiä on tarjolla pitääksesi järjestelmäsi ajantasalla ja turvallisena.

Koodia: [Valitse]
The following packages have been kept back:
  compiz compiz-core compiz-gnome compiz-plugins-default gjs ...

compiz-core/jammy-updates 1:0.9.14.1+22.04.20220820-0ubuntu1 amd64 [upgradable from: 1:0.9.14.1+22.04.20211217-0ubuntu2]
compiz-gnome/jammy-updates 1:0.9.14.1+22.04.20220820-0ubuntu1 amd64 [upgradable from: 1:0.9.14.1+22.04.20211217-0ubuntu2]
...
Kuten versionumeroista näkyy, on ko. ohjelmat jo päivittyneet uusimpiin versioihin.
Mutta päivitys asentaisi muitakin ohjelmia, joihin on uudempiakin versioita.
Esim. libgjs0g/jammy-updates 1.72.2-0ubuntu1 amd64 [upgradable from: 1.72.0-3~ubuntu22.04.2]

Summa summaarum: päivityksiä on aina testattu ennenkuin ne ovat kaikille tarjolla. Äärimmäisen harvoin
päivitykset rikkovat järjestelmää tuettujen ohjelmien/ajureiden vuoksi.

Pendeli

  • Käyttäjä
  • Viestejä: 840
    • Profiili
Vs: packages have been kept back
« Vastaus #2 : 06.09.22 - klo:10.55 »
Ne eivät päivity normaalikomennolla. Kuinka ne saadaan päivitettyä?


Koodia: [Valitse]
ben@optip:~$ sudo apt update && sudo apt upgrade
[sudo] password for ben:
Hit:1 http://ppa.launchpad.net/jtaylor/keepass/ubuntu bionic InRelease
Hit:2 http://archive.ubuntu.com/ubuntu jammy InRelease                         
Hit:3 https://ppa.launchpadcontent.net/phoerious/keepassxc/ubuntu jammy InRelease
Hit:4 http://archive.ubuntu.com/ubuntu jammy-updates InRelease
Hit:5 http://archive.ubuntu.com/ubuntu jammy-security InRelease
Hit:6 http://archive.ubuntu.com/ubuntu jammy-backports InRelease
Reading package lists... Done
Building dependency tree... Done
Reading state information... Done
9 packages can be upgraded. Run 'apt list --upgradable' to see them.
Reading package lists... Done
Building dependency tree... Done
Reading state information... Done
Calculating upgrade... Done
The following packages have been kept back:
  compiz compiz-core compiz-gnome compiz-plugins-default gjs
  gnome-remote-desktop libcompizconfig0 libdecoration0 libgjs0g
0 upgraded, 0 newly installed, 0 to remove and 9 not upgraded.
ben@optip:~$ apt list --upgradable
Listing... Done
compiz-core/jammy-updates 1:0.9.14.1+22.04.20220820-0ubuntu1 amd64 [upgradable from: 1:0.9.14.1+22.04.20211217-0ubuntu2]
compiz-gnome/jammy-updates 1:0.9.14.1+22.04.20220820-0ubuntu1 amd64 [upgradable from: 1:0.9.14.1+22.04.20211217-0ubuntu2]
compiz-plugins-default/jammy-updates 1:0.9.14.1+22.04.20220820-0ubuntu1 amd64 [upgradable from: 1:0.9.14.1+22.04.20211217-0ubuntu2]
compiz/jammy-updates,jammy-updates 1:0.9.14.1+22.04.20220820-0ubuntu1 all [upgradable from: 1:0.9.14.1+22.04.20211217-0ubuntu2]
gjs/jammy-updates 1.72.2-0ubuntu1 amd64 [upgradable from: 1.72.0-3~ubuntu22.04.2]
gnome-remote-desktop/jammy-updates 42.4-0ubuntu1 amd64 [upgradable from: 42.3-0ubuntu1]
libcompizconfig0/jammy-updates 1:0.9.14.1+22.04.20220820-0ubuntu1 amd64 [upgradable from: 1:0.9.14.1+22.04.20211217-0ubuntu2]
libdecoration0/jammy-updates 1:0.9.14.1+22.04.20220820-0ubuntu1 amd64 [upgradable from: 1:0.9.14.1+22.04.20211217-0ubuntu2]
libgjs0g/jammy-updates 1.72.2-0ubuntu1 amd64 [upgradable from: 1.72.0-3~ubuntu22.04.2]

nm

  • Käyttäjä
  • Viestejä: 16281
    • Profiili
Vs: packages have been kept back
« Vastaus #3 : 06.09.22 - klo:11.54 »
Tuo compiz-päivitys on melko tuore, ja siinä voi olla vielä jokin testattava riippuvuus, joka estää automaattisen päivityksen. Voit joko odotella muutaman viikon tai pakottaa päivityksen asentamalla kyseiset paketit manuaalisesti.

Suositeltava toimenpide riippuu myös siitä, käytätkö compizia itse, vai onko se historiallinen jäänne. Ubuntun nykyisellä GNOME-työpöydällä compizia ei tarvita mihinkään, jolloin sen voi poistaa järjestelmästä.

raimo

  • Käyttäjä
  • Viestejä: 4197
  • openSUSE Tumbleweed
    • Profiili
Vs: packages have been kept back
« Vastaus #4 : 06.09.22 - klo:13.10 »
Moi! Minulle tuli ilmoitus jossa 3 pakettia on jätetty odottamaan, hyvinkin yleisesti ne päivittyvät kunhan kaikki niiden riippuvuudet tulevat täytetyiksi.
Koodia: [Valitse]
The following packages have been kept back:
  gjs gnome-remote-desktop libgjs0g
0 upgraded, 0 newly installed, 0 to remove and 3 not upgraded.
Tietä käyden tien on vanki. Vapaa on vain umpihanki.
Aaro Hellaakoski

epiphone

  • Käyttäjä
  • Viestejä: 1074
    • Profiili
Vs: packages have been kept back
« Vastaus #5 : 06.09.22 - klo:13.12 »
Minullakin on tullut viime aikoina samanlaisia ilmoituksia useamman kerran. Lopulta kaikki kuitenkin sitten jossain vaiheessa päivittyy.
Kahvi on väkevin juomani

raimo

  • Käyttäjä
  • Viestejä: 4197
  • openSUSE Tumbleweed
    • Profiili
Vs: packages have been kept back
« Vastaus #6 : 07.09.22 - klo:02.52 »
Moi! Minulle tuli ilmoitus jossa 3 pakettia on jätetty odottamaan, hyvinkin yleisesti ne päivittyvät kunhan kaikki niiden riippuvuudet tulevat täytetyiksi.
Koodia: [Valitse]
The following packages have been kept back:
  gjs gnome-remote-desktop libgjs0g
0 upgraded, 0 newly installed, 0 to remove and 3 not upgraded.

Näin se homma etenee, 1 asentuu 2 vielä venaa.
Koodia: [Valitse]
The following packages have been kept back:
  gjs libgjs0g
The following packages will be upgraded:
  gnome-remote-desktop
1 upgraded, 0 newly installed, 0 to remove and 2 not upgraded

Nyt on kaikki päivittyneet, ainoa mikä jumitti oli nordvpn -repo, piti ottaa se pois käytöstä jotta sai päivityksen menemään läpi, tilapäistä luulen ja lisään kalenteriin muistutuksen.

Nordvpn:kin meni läpi, pientä nytkyttämistä siis, aina kannattaa odottaa tovi tai kaks ja sitten kokeila uudelleen.

« Viimeksi muokattu: 08.09.22 - klo:16.57 kirjoittanut raimo »
Tietä käyden tien on vanki. Vapaa on vain umpihanki.
Aaro Hellaakoski

Pendeli

  • Käyttäjä
  • Viestejä: 840
    • Profiili
Vs: packages have been kept back
« Vastaus #7 : 07.09.22 - klo:03.37 »
Samoin menee täälläkin. 6 päivittyi ja 3 jäi vielä venaamaan. Joten ei syytä huoleen.

juyli

  • Käyttäjä / moderaattori
  • Viestejä: 1200
    • Profiili
Vs: packages have been kept back
« Vastaus #8 : 08.09.22 - klo:21.31 »
Samoin menee täälläkin. 6 päivittyi ja 3 jäi vielä venaamaan. Joten ei syytä huoleen.
Tänään minulla päivittyi seuraavat paketit (Xubuntu 22.04.1):
Nämä paketit päivitetään:
  compiz compiz-core compiz-gnome compiz-plugins-default dmidecode libcompizconfig0 libdecoration0
7 päivitetty, 0 uutta asennusta, 0 poistettavaa ja 0 päivittämätöntä.